#ifndef _G_GAME_
#define _G_GAME_

#include <hpllib/game/AbstractGame.h>
#include <hpllib/general/AbstractSettingManager.h>

class GGame: public AbstractGame{
public:
	bool						m_bIsAutoPlay;		//! 鑑賞モード
	AbstractSettingManager		m_PlayerSettings;	//! プレイヤー設定
	AbstractSettingManager		m_ShotSettings;		//! ショット設定
public:
	GGame();
	virtual ~GGame();
};

#endif
